#include <bits/stdc++.h>
using namespace std;

int main() {

    string s;
    long long q,l,r,res;

    cin>>s;
    cin>>q;


    for(int i=s.size()-1;i>0;i--){
        if(int(s[i])<int(s[i-1])) s[i]='*';
    }
    s[0]='*';

    /*for(int i=0;i<s.size();i++){
        cout<<s[i];
    }*/

    for(int i=0;i<q;i++){
        cin>>l>>r;
        res=1;
        
        for(int i=l-1;i<r;i++){
            if(s[i]=='*') res++;
        }

        if(s[l-1]=='*') res--;

        cout<<res<<endl;
    }

}